@import "src/styles/mixins";
@import "../variables";

table {
  text-align: center;
  border-collapse: collapse;
  border: 1px solid #000;
  table-layout: fixed;

  thead {
    white-space: nowrap;
    background-color: #2980B9;
    color: white;

    .sortable {
      cursor: pointer;
      @include flex;

      span {
        margin-left: 12px;
      }
    }
  }

  tbody {
    tr {
      &:nth-child(even) {
        background-color: #f2f2f2;
      }

      &:hover {
        background-color: #89aec8;
      }
    }

    .active {
      background-color: #89aec8 !important;
    }

  }

  th, td {
    height: 40px;
    padding: .5rem 1rem;
    border-left: 1px solid #000;

    .btn {
      @include flex;
      margin: auto;
    }
  }

  @media #{map-get($display-breakpoints, 'sm-and-down')} {
    thead {
      border: none;
      clip: rect(0 0 0 0);
      height: 1px;
      margin: -1px;
      overflow: hidden;
      padding: 0;
      position: absolute;
      width: 1px;
    }
    tr, td {
      border-left: 0;
    }
    tr {
      border-bottom: 3px solid black;
      display: block;
    }
    td {
      border-bottom: 1px solid #ddd;
      display: block;
      font-size: .8em;
      text-align: left;

      &::after {
        content: attr(data-label);
        float: right;
        font-weight: bold;
        text-transform: uppercase;
      }

      &:last-child {
        border-bottom: 0;
      }
    }
  }
}

.sortBtn {
  display: none;
  @media #{map-get($display-breakpoints, 'sm-and-down')} {
    @include flex;
    width: 100%;
    border-radius: 4px;
    color: #ffffff;
    padding: 8px;
    background-color: #2980B9;
    margin: 16px 0;
    span {
      margin-left: 12px;
    }
  }
}

.paginate {
  @include flex;
  margin: 1.5rem;

  button {
    @include flex;
    background-color: white;
    border: 1px solid;
    height: 40px;
    width: 40px;

    &:hover:not([disabled]) {
      background-color: #e0e0e0;
    }

    &[disabled] {
      cursor: unset;
    }
  }

  .page {
    margin: 0 1rem
  }
}
